function ks = kappa_screened_poisson(N, delta)
    % This function computes the constant kappa in Claim 4,
    % which is used for the heat-based lower bound potential u^h
    if  N == 2
        kappa = 1;
    elseif mod(N, 2) == 0
        kappa =  (1/2+ 1./(2*N));
    else
        kappa =  (1/2+ 1./(2*N-2));
    end
    ks = (1-delta)/delta *kappa;
end