function E = max_gaussian_expectation(n, sigma)
    switch n
        case 2
            E = sigma*pi^(-1/2);
        case 3
            E = sigma * 3 / 2 * pi^(-1/2);
        case 4
            E = sigma*3*pi^(-3/2)*acos(-1/3);
        case 5
            E = sigma*5/2*pi^(-3/2)*acos(-23/27);
        otherwise
            cdf = @(t, sigma) 1/2 * (1+ erf(t / (sqrt(2)*sigma)));
            pdf = @(t, sigma) exp (-t.^2/(2*sigma.^2))/sqrt (2 * pi * sigma.^2);
            fun = @(t, n, sigma)  n .* t.* pdf(t, sigma).* cdf(t, sigma).^(n-1);    
            E   =  arrayfun (@(n) integral (@(t) fun(t,n,sigma), -Inf,Inf),n);
    end

end