function E = max_geom_lb_err(N, delta, kappa)
   % This function computes the discretization error E(t) of the 
   % adversary strategy a^m as described in Example 2.
    C3 = @(n) (n-1)^2/n * 4/kappa(n,delta) *sqrt(2* pi*exp(1)) ;
    E  = (1-delta)/delta* C3(N)/6* exp(-delta)*(log(1/delta)+1); 
end