function E = max_geom_ub_err(N, delta, kappa)
   % This function computes the discretization error E(t) of the 
   % adversary strategy a^m as described in Example 2.
    b  = sqrt (2/(exp(1)*pi));
    C3 = @(n) b/(2*kappa(n,delta)) * (7/2*n^2 - 8*n +5*log(n)+3/2);
    E  =(1-delta)/delta* C3(N)/6*exp(-delta)*(log(1/delta)+1); 
end