function err =screened_poisson_lb_err(N, delta, kappa)
   % This function computes the discretization error E(t) of the adversary 
   % strategy a^h as described in Example 1.
   
    if N==2
        a = 1;
        C4 = @(n) 2*sqrt(2)*n*kappa^(-3/2) * sqrt(6);
    else
        a  = 2;
        C4 = @(n) 2*sqrt(2)*n*kappa^(-3/2) * (2 *sqrt(6)+3*sqrt(2*n+4));
    end
    C3  = @(n) 1/kappa *(3*sqrt(n/2) + a*(2 * log (n)+ 2*sqrt(log(n))+2));
    err = (1-delta)/delta * ...
          min( C4(N)/24 * (3/4 * sqrt(pi) * erfc(sqrt(delta))+ exp(-delta)/2*(2 *delta +3)), ...
               C3(N)/6  * (log(1/delta)+1) ); 
end